lang/php80 - The NetBSD Packages Collection

PHP Hypertext Preprocessor version 8.0

PHP is a widely-used open source general-purpose scripting language
that is especially suited for web development and can be embedded
into HTML.  It is modular, and object-oriented.  Much of its syntax
is borrowed from C, Java and Perl with a couple of unique PHP-specific
features thrown in.  The language is designed to allow web developers
to write dynamically generated pages quickly.

PHP 8.0 comes with numerous improvements and new features such as

* Union Types
* Named Arguments
* Match Expressions
* Attributes
* Constructor Property Promotion
* Nullsafe Operator
* Weak Maps
* Just In Time Compilation
* And much much more...

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

devel/pcre2 textproc/libxml2 devel/readline devel/pcre2 textproc/libxml2 devel/readline

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfphp-8.0.3.tgz
NetBSD 8.0i386php-8.0.3.tgz
NetBSD 8.0powerpcphp-8.0.3.tgz
NetBSD 8.0powerpcphp-8.0.3.tgz
NetBSD 8.0x86_64php-8.0.3.tgz
NetBSD 9.0aarch64php-8.0.3.tgz
NetBSD 9.0alphaphp-8.0.3.tgz
NetBSD 9.0earmphp-8.0.3.tgz
NetBSD 9.0earmv6hfphp-8.0.3.tgz
NetBSD 9.0earmv7hfphp-8.0.3.tgz
NetBSD 9.0earmv7hfphp-8.0.3.tgz
NetBSD 9.0i386php-8.0.3.tgz
NetBSD 9.0m68kphp-8.0.3.tgz
NetBSD 9.0mips64ebphp-8.0.3.tgz
NetBSD 9.0mipselphp-8.0.3.tgz
NetBSD 9.0powerpcphp-8.0.3.tgz
NetBSD 9.0powerpcphp-8.0.3.tgz
NetBSD 9.0sparc64php-8.0.3.tgz
NetBSD 9.0sparcphp-8.0.3.tgz
NetBSD 9.0vaxphp-8.0.3.tgz
NetBSD 9.0x86_64php-8.0.3.tgz
NetBSD 9.0x86_64php-8.0.3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

argon2
Enable support for Argon2 password-hashing function.
disable-filter-url
Disable php://filter URL feature.
inet6
Enable support for IPv6.
maintainer-zts
Enable the Zend Thread Safety option for PHP.
php-embed
readline
Enable use of GNU readline library.
ssl
Enable SSL support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.